XTMISC_TOGGLE_CBK(3)

FUNCTION
xtmisc_toggle_cbk - Default toggle callback.

SYNOPSIS
#include <karma_xtmisc.h>

void xtmisc_toggle_cbk

(Widget w, XtPointer client_data, XtPointer call_data)

DESCRIPTION
This routine will set a flag. This routine is a convenience routine to be used as a callback.

w   The widget on which the event occurred. This is ignored.

client_data
    The callback client data. This must be the pointer to the (flag) type.

call_data
    The callback call data. This is the toggle state.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/